@import url('https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300..700&display=swap');

:root {
    --purple: #682DC5;
    --purple-dark: #352398;
    --blue: #43C3FB;
}

.floating-nav {
    position: fixed;
    bottom: 12px;
    z-index: 10;
    left: 50%;
    transform: translatex(-50%);
    background: rgba(255,255,255,0.3);
    padding: 8px;
    border-radius: 30px;
    backdrop-filter: blur(5px);
    transition: .6s cubic-bezier(.7, 0, 0, 1);
    
    .items {
        display: flex;
        gap: 8px;
        
        .spy {
            position: absolute;
            transition: .6s cubic-bezier(.7, 0, 0, 1);
            top: 8px;
            width: 138px;
            height: calc(100% - 16px);
            border-radius: 22px;
            background: linear-gradient(25deg, var(--purple), var(--purple-dark));
        }
        
        a {
            background: transparent;
            color: white;
            padding: 16px 24px;
            white-space: nowrap;
            text-decoration: none;
            border-radius: 22px;
            font-family: 'Manrope';
            font-weight: 400;
            font-size: 18px;
            transition: .6s cubic-bezier(.7, 0, 0, 1);
            position: relative;
            z-index: 2;
            
            &:not(.active):hover {
                background: rgba(255,255,255,0.1);
            }
        }
    }
}